Subject: bug#47653: closed (Re: bug#47653: Is this a bug?)

From: [email-masked] (GNU bug Tracking System)
Date: Thu, 08 Apr 2021 15:58:02 +0000

Your bug report

#47653: Is this a bug?

which was filed against the parted package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
47653: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=47653
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#47653: Is this a bug?
From: "Brian C. Lane" <[email-masked]>
To: Thomas Groman <[email-masked]>
Cc: [email-masked]
Date: Thu, 8 Apr 2021 08:57:28 -0700
List-Id: <debbugs-submit.debbugs.gnu.org>

On Wed, Apr 07, 2021 at 09:47:12PM -0700, Thomas Groman via Bug reports for the GNU Parted disk partition editor wrote:
> Is this a bug, or am I doing something wrong? I didn't know it was
> possible to make gpt partitions 0 sectors wide.
> 
> (parted) print
> Model: ATA Samsung SSD 850 (scsi)
> Disk /dev/sdb: 1000GB
> Sector size (logical/physical): 512B/512B
> Partition Table: gpt
> Disk Flags:
> 
> Number  Start   End     Size    File system     Name    Flags
> 1      1049kB  3146kB  2097kB  linux-swap(v1)  grub    bios_grub
> 2      3146kB  540MB   537MB   fat32           boot    boot, esp
> 5      540MB   18.8GB  18.3GB  linux-swap(v1)          swap
> 4      18.8GB  105GB   85.9GB  ext4            rootfs
> 3      105GB   1000GB  895GB
> 
> (parted) mkpart fast 500GB -1
> Warning: You requested a partition from 500GB to 1000GB (sectors
> 976562500..1953523215).
> The closest location we can manage is 1000GB to 1000GB (sectors
> 1953523712..1953523712).
> Is this still acceptable to you?
> Yes/No? No
> (parted) mkpart fast 500GB 1000GB
> Warning: You requested a partition from 500GB to 1000GB (sectors
> 976562500..1953125000).
> The closest location we can manage is 1000GB to 1000GB (sectors
> 1953523712..1953523712).
> Is this still acceptable to you?
> Yes/No? No

What created this partition table? It looks like partition 3 is wrong,
it covers 105GB to 1000GB but both partition 2 and partition 5 also use
some of that space. This is likely confusing parted, so I'd say it isn't
a bug, it's just trying to do the best it can with the available space.

Brian

-- 
Brian C. Lane (PST8PDT) - weldr.io - lorax - parted - pykickstart

Subject: Is this a bug?
From: Thomas Groman <[email-masked]>
To: [email-masked]
Date: Wed, 7 Apr 2021 21:47:12 -0700
List-Id: <debbugs-submit.debbugs.gnu.org>

Is this a bug, or am I doing something wrong? I didn't know it was
possible to make gpt partitions 0 sectors wide.

(parted) print
Model: ATA Samsung SSD 850 (scsi)
Disk /dev/sdb: 1000GB
Sector size (logical/physical): 512B/512B
Partition Table: gpt
Disk Flags:

Number  Start   End     Size    File system     Name    Flags
1      1049kB  3146kB  2097kB  linux-swap(v1)  grub    bios_grub
2      3146kB  540MB   537MB   fat32           boot    boot, esp
5      540MB   18.8GB  18.3GB  linux-swap(v1)          swap
4      18.8GB  105GB   85.9GB  ext4            rootfs
3      105GB   1000GB  895GB

(parted) mkpart fast 500GB -1
Warning: You requested a partition from 500GB to 1000GB (sectors
976562500..1953523215).
The closest location we can manage is 1000GB to 1000GB (sectors
1953523712..1953523712).
Is this still acceptable to you?
Yes/No? No
(parted) mkpart fast 500GB 1000GB
Warning: You requested a partition from 500GB to 1000GB (sectors
976562500..1953125000).
The closest location we can manage is 1000GB to 1000GB (sectors
1953523712..1953523712).
Is this still acceptable to you?
Yes/No? No
-- 
 _______________________________________ 
/ Schshschshchsch.                      \
|                                       |
\ -- The Gorn, "Arena", stardate 3046.2 /
 --------------------------------------- 
\
 \
   /\   /\   
  //\\_//\\     ____
  \_     _/    /   /
   / * * \    /^^^]
   \_\O/_/    [   ]
    /   \_    [   /
    \     \_  /  /
     [ [ /  \/ _/
    _[ [ \  /_/